package config

import (
	"strings"
)

var basePartials = []string{
	"views/baseof.html",
	"views/_partials/head.html",
	"views/_partials/header.html",
	"views/_partials/footer.html",
}

var ViewMap = map[string][]string{
	"index-page":     append(basePartials, "views/index.html", "views/index-page.html"),
	"login-page":     append(basePartials, "views/login.html", "views/login-page.html"),
	"dashboard-page": append(basePartials, "views/dashboard.html", "views/dashboard-page.html", "views/control-madre.html"),
	"suppliers-page": append(basePartials, "views/suppliers.html", "views/suppliers-page.html"),
	"fse-page":       append(basePartials, "views/fse.html", "views/fse-page.html"),
	"panel-page":     append(basePartials, "views/panel.html", "views/panel-page.html", "views/users.html", "views/user.html"),

	"login":          {"views/login.html"},
	"dashboard":      {"views/dashboard.html", "views/control-madre.html"},
	"control-madre":  {"views/control-madre.html"},
	"user":           {"views/user.html"},
	"users":          {"views/users.html", "views/user.html"},
	"success-button": {"views/success-button.html"},
	"fail-button":    {"views/fail-button.html"},
}

var FuncMap = map[string]any{
	"uppercase": func(s string) string { return strings.ToUpper(s) },
	"firstWord": func(s string) string {
		words := strings.Fields(s)
		if len(words) > 0 {
			return words[0]
		}
		return ""
	},
}
